<?php
// Version: 1.0.0; TopicCount

function template_TopicCount_above()
{
	global $context, $settings, $options, $txt;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>'.$context['topic_subject'].'</title>';

	// This is here because Gecko browsers properly support white-space....
	if ($context['browser']['is_gecko'])
		echo '
	<style type="text/css"><!--
		.code
		{
			white-space: pre;
		}
	--></style>';

	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />';

	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)
		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.
		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.
		Standards compliance mode happens when you use xhtml... */
	if ($context['browser']['needs_size_fix'])
		echo '
		<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';

	echo '
	</head>
	<body>
		<table width="95%" cellpadding="2" cellspacing="0" border="0" align="center">';
}

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $topic;

	//Okay First the Member List
	if(!empty($context['count_list_members'])) {
		echo '
			<tr class="titlebg">
				<td colspan="2" align="center">
					'.$txt['threadcountlist'].' ('.$txt[19].')
				</td>
			</tr>
			<tr class="catbg">
				<td width="40">
					'.($context['sort_info']['0'] == 'MemberCounter' ? '<strong>' : '').'<a href="'.$scripturl.'?action=topiccount;topic='.$topic.(!empty($context['sort_info']['1']) ? ';desc' : '').'">'.$txt[21].'</a>'.($context['sort_info']['0'] == 'MemberCounter' ? '</strong>' : '').'
				</td>
				<td>
					'.($context['sort_info']['0'] == 'realName' ? '<strong>' : '').'<a href="'.$scripturl.'?action=topiccount;topic='.$topic.';sort=memberName'.(empty($context['sort_info']['1']) ? ';desc' : '').'">'.$txt['who_member'].' '.$txt[68].'</a>'.($context['sort_info']['0'] == 'realName' ? '</strong>' : '').'
				</td>
			</tr>';
		//List Output
		$a = true;
		foreach($context['count_list_members'] as $member) {
			echo '
			<tr class="windowbg'.($a ? '' : '2').'">
				<td align="right" width="40">
					'.($member['isMember'] ? '<strong>' : '').$member['MemberCounter'].($member['isMember'] ? '</strong>' : '').'
				</td>
				<td>
					'.($member['isMember'] ? '<strong>' : '').$member['link'].($member['isMember'] ? '</strong>' : '').'
				</td>
			</tr>';
			$a = !$a;
		}
	}

	//Okay Here are the Guest List
	if(!empty($context['count_list_guests'])) {
		echo '
			<tr class="titlebg">
				<td colspan="2" align="center">
					'.$txt['threadcountlist'].' ('.$txt['guests'].')
				</td>
			</tr>
			<tr class="catbg">
				<td width="40">
					'.($context['sort_info']['0'] == 'MemberCounter' ? '<strong>' : '').$txt[21].($context['sort_info']['0'] == 'MemberCounter' ? '</strong>' : '').'
				</td>
				<td>
					'.($context['sort_info']['0'] == 'realName' ? '<strong>' : '').$txt['guest'].' '.$txt[68].($context['sort_info']['0'] == 'realName' ? '</strong>' : '').'
				</td>
			</tr>';
		//List Output
		foreach($context['count_list_guests'] as $member) {
			echo '
			<tr class="windowbg'.($a ? '' : '2').'">
				<td align="right" width="40">
					'.$member['MemberCounter'].'
				</td>
				<td>
					'.$member['realName'].'
				</td>
			</tr>';
			$a = !$a;
		}
	}
}

function template_TopicCount_below()
{
	global $context, $settings, $options, $txt;

	echo '
			<tr>
				<td colspan="2">
					<div align="center" class="smalltext">', theme_copyright();
	// Show the load time?
	if ($context['show_load_time'])
		echo '
					<br />', $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'], '</span>';

	echo '
					</div>
				</td>
			</tr>
		</table>
	</body>
</html>';
}

?>