<id>
din1031:TopicMemberPostCount
</id>

<version>
1.1.5
</version>

<edit file>
$boarddir/index.php
</edit file>

<search for>
		'theme' => array('Themes.php', 'ThemesMain'),
</search for>

<replace>
		'topiccount' => array('TopicCount.php', 'TopicCount'),
		'theme' => array('Themes.php', 'ThemesMain'),
</replace>

<edit file>
$sourcedir/ModSettings.php
</edit file>

<search for>
			// Width/Height image reduction.
			array('int', 'max_image_width'),
			array('int', 'max_image_height'),
</search for>

<replace>
			// Width/Height image reduction.
			array('int', 'max_image_width'),
			array('int', 'max_image_height'),
		'',
			// Topic Member Count Settings.
			array('check', 'topiccountAllowGuests'),
			array('check', 'topiccountMemberColorLink'),
			array('int', 'topiccountWindowWidth'),
			array('int', 'topiccountWindowHeight'),
			array('check', 'topiccountDisableTableCache'),
			array('int', 'topiccountTableCacheUpdate'),
			array('int', 'topiccountMaxRepliesLimit'),
</replace>

<edit file>
$sourcedir/MessageIndex.php
</edit file>

<search for>
	// Grab the appropriate topic information...
	if (!$pre_query || !empty($topic_ids))
</search for>

<replace>
	$modSettings['topiccountWindowWidth'] = empty($modSettings['topiccountWindowWidth']) || $modSettings['topiccountWindowWidth'] < 0 ? 480 : $modSettings['topiccountWindowWidth'];
	$modSettings['topiccountWindowHeight'] = empty($modSettings['topiccountWindowHeight']) || $modSettings['topiccountWindowHeight'] < 0 ? 200 : $modSettings['topiccountWindowHeight'];
	// Grab the appropriate topic information...
	if (!$pre_query || !empty($topic_ids))
</replace>

<search for>
			else
			{
				censorText($row['lastSubject']);
				censorText($row['lastBody']);
			}
</search for>

<replace>
			else
			{
				censorText($row['lastSubject']);
				censorText($row['lastBody']);
			}

			//Show the Topic counter?
			if($context['user']['is_admin'])
				$showTopicCounter = true;
			elseif ($context['user']['is_guest'] && empty($modSettings['topiccountAllowGuests']))
				$showTopicCounter = false;
			elseif (!empty($modSettings['topiccountMaxRepliesLimit']) && $modSettings['topiccountMaxRepliesLimit'] < $row['numReplies'])
				$showTopicCounter = false;
			else
				$showTopicCounter = true;
</replace>

<search for>
				'replies' => $row['numReplies'],
				'views' => $row['numViews']
</search for>

<replace>
				'replies' => ($showTopicCounter ? '<a href="'.$scripturl.'?action=topiccount;topic='.$row['ID_TOPIC'].'" onclick="return reqWin(this.href,'.$modSettings['topiccountWindowWidth'].','.$modSettings['topiccountWindowHeight'].');">'.$row['numReplies'].'</a>' : $row['numReplies']),
				//'replies' => $row['numReplies'],
				'views' => $row['numViews']
</replace>

<edit file>
$sourcedir/Recent.php
</edit file>

<search for>
	$context['topics'] = array();
	$topic_ids = array();
	while ($row = mysql_fetch_assoc($request))
	{
</search for>

<replace>
	$modSettings['topiccountWindowWidth'] = empty($modSettings['topiccountWindowWidth']) || $modSettings['topiccountWindowWidth'] < 0 ? 480 : $modSettings['topiccountWindowWidth'];
	$modSettings['topiccountWindowHeight'] = empty($modSettings['topiccountWindowHeight']) || $modSettings['topiccountWindowHeight'] < 0 ? 200 : $modSettings['topiccountWindowHeight'];
	$context['topics'] = array();
	$topic_ids = array();
	while ($row = mysql_fetch_assoc($request))
	{
</replace>

<search for>
		else
		{
			censorText($row['lastSubject']);
			censorText($row['lastBody']);
		}
</search for>

<replace>
		else
		{
			censorText($row['lastSubject']);
			censorText($row['lastBody']);
		}

		//Show the Topic counter?
		if($context['user']['is_admin'])
			$showTopicCounter = true;
		elseif ($context['user']['is_guest'] && empty($modSettings['topiccountAllowGuests']))
			$showTopicCounter = false;
		elseif (!empty($modSettings['topiccountMaxRepliesLimit']) && $modSettings['topiccountMaxRepliesLimit'] < $row['numReplies'])
			$showTopicCounter = false;
		else
			$showTopicCounter = true;
</replace>

<search for>
			'replies' => $row['numReplies'],
			'views' => $row['numViews'],
</search for>

<replace>
			'replies' => ($showTopicCounter ? '<a href="'.$scripturl.'?action=topiccount;topic='.$row['ID_TOPIC'].'" onclick="return reqWin(this.href,'.$modSettings['topiccountWindowWidth'].','.$modSettings['topiccountWindowHeight'].');">'.$row['numReplies'].'</a>' : $row['numReplies']),
			//'replies' => $row['numReplies'],
			'views' => $row['numViews'],
</replace>